> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get issue artifact context

> Returns bounded learn-agent and uploaded text artifact context for validation and debugging.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /issues/{issue_id}/artifact-context
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /issues/{issue_id}/artifact-context:
    get:
      tags:
        - Issues
      summary: Get issue artifact context
      description: >-
        Returns bounded learn-agent and uploaded text artifact context for
        validation and debugging.
      operationId: get_issue_artifact_context
      parameters:
        - name: issue_id
          in: path
          required: true
          description: Issue ID.
          schema:
            type: string
      responses:
        '200':
          description: Issue artifact context
          content:
            application/json:
              schema:
                type: object
                properties:
                  issue_id:
                    type: string
                  project_id:
                    type: string
                  agent_name:
                    type:
                      - string
                      - 'null'
                  available:
                    type: object
                    properties:
                      learn_agent_kb:
                        type: boolean
                      uploaded_text_artifacts:
                        type: boolean
                    required:
                      - learn_agent_kb
                      - uploaded_text_artifacts
                    additionalProperties: false
                  missing:
                    type: array
                    items:
                      type: string
                  learn_agent_kb:
                    type:
                      - object
                      - 'null'
                    properties:
                      version:
                        type: number
                      agent_name:
                        type:
                          - string
                          - 'null'
                      knowledge_preview:
                        type: string
                      mermaid_preview:
                        type: string
                      knowledge_truncated:
                        type: boolean
                      mermaid_truncated:
                        type: boolean
                    required:
                      - version
                      - agent_name
                      - knowledge_preview
                      - mermaid_preview
                      - knowledge_truncated
                      - mermaid_truncated
                    additionalProperties: false
                  uploaded_text_artifacts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        filename:
                          type: string
                        content_type:
                          type: string
                        size_bytes:
                          type: number
                        content_preview:
                          type: string
                        preview_truncated:
                          type: boolean
                      required:
                        - id
                        - filename
                        - content_type
                        - size_bytes
                        - content_preview
                        - preview_truncated
                      additionalProperties: false
                  caveats:
                    type: array
                    items:
                      type: string
                required:
                  - issue_id
                  - project_id
                  - agent_name
                  - available
                  - missing
                  - learn_agent_kb
                  - uploaded_text_artifacts
                  - caveats
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````